Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Nov 2014, 20:19
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
audacity-1.3.5-beta + wxgtk-2.8.7 + more
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Author Message
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Sat 12 Jan 2008, 11:37    Post_subject:  audacity-1.3.5-beta + wxgtk-2.8.7 + more
Sub_title: 2008-05-21
 

This was compiled in Puppy 4 and might not work in other Puppies.

Audacity's web page:
http://audacity.sourceforge.net/

Wxgtk's web page:
http://www.wxwidgets.org/

Of course the dev pets are only if you want to use these programs to compile something. They are not necessary to make Audacity run.

If the direct links below don't work you can access my yahoo briefcase that contain the files here:
http://tinyurl.com/3cyy8a

Audacity pet file is here:
http://myfreefilehosting.com/f/a8c994f522_1.17MB
or
http://www.savefile.com/files/1566581

Audacity nls pet file is here:
http://myfreefilehosting.com/f/0077c6878c_1.39MB
(The nls pet is only if you need the language support files.)

WxGTK-2.8.7 (required) pet file is here:
http://www.savefile.com/files/1782304

Jack (required) pet file is here:
http://www.murga-linux.com/puppy/viewtopic.php?t=26267

Audacity depends on the following:
twolame-0.3.12.pet
Description 
pet

 Download 
Filename  twolame-0.3.12.pet 
Filesize  103.04 KB 
Downloaded  1952 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Sat 12 Jan 2008, 12:58    Post_subject:  

Here are some more of the required libraries for this version of Audacity.
libvamp-1.0.pet
Description 
pet

 Download 
Filename  libvamp-1.0.pet 
Filesize  96.01 KB 
Downloaded  1765 Time(s) 
libsamplerate-0.1.2.pet
Description 
pet

 Download 
Filename  libsamplerate-0.1.2.pet 
Filesize  104.46 KB 
Downloaded  2065 Time(s) 
soundtouch-1.5.pet
Description 
pet

 Download 
Filename  soundtouch-1.5.pet 
Filesize  35.8 KB 
Downloaded  1726 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Sat 12 Jan 2008, 13:09    Post_subject:  

Here are the various dev files (not necessary for audacity to run):
soundtouch_dev-1.5.pet
Description 
pet

 Download 
Filename  soundtouch_dev-1.5.pet 
Filesize  10.69 KB 
Downloaded  759 Time(s) 
twolame_dev-0.3.12.pet
Description 
pet

 Download 
Filename  twolame_dev-0.3.12.pet 
Filesize  5.34 KB 
Downloaded  746 Time(s) 
wxgtk_dev-2.8.7.pet
Description 
pet

 Download 
Filename  wxgtk_dev-2.8.7.pet 
Filesize  896.3 KB 
Downloaded  884 Time(s) 
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Mon 11 Feb 2008, 18:05    Post_subject:  

more dev files:
libvamp_dev-1.0.pet
Description 
pet

 Download 
Filename  libvamp_dev-1.0.pet 
Filesize  15.32 KB 
Downloaded  757 Time(s) 
libsamplerate_dev-0.1.2.pet
Description 
pet

 Download 
Filename  libsamplerate_dev-0.1.2.pet 
Filesize  2.68 KB 
Downloaded  767 Time(s) 

Edited_time_total
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Mon 11 Feb 2008, 18:07    Post_subject:  

The package has been updated to the most recent cvs version and compiled a little different this time. Instead of compiling in the dependencies using the local tree I compiled with system libraries. This way I can use the libraries for other programs.
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Wed 21 May 2008, 19:14    Post_subject:  

updated to the latest beta release 1.3.5
Back to top
View user's profile Send_private_message 
bill

Joined: 28 May 2008
Posts: 495

PostPosted: Fri 30 May 2008, 17:45    Post_subject:  

Hello plinej,I have installed ALL the .pet files in Puppy 4.0 and I can see the "Audacity" tab in menu but on selecting "Audacity" the menu closes and no action at all.Can you suggest where I am going awry ? thanks,bill
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Fri 30 May 2008, 20:57    Post_subject:  

Bill,

I haven't used audacity, but I'm guessing you might be missing a library or two. If you open a console, (Menu->Utility->Rxvt), and enter audacity, are any errors generated?
Back to top
View user's profile Send_private_message 
bill

Joined: 28 May 2008
Posts: 495

PostPosted: Fri 30 May 2008, 21:35    Post_subject: Apparently I don't know Jack :o)  

Hi muggins,Thanks for the help.In console and entering "Audacity" only,I get this error:

Audacity:error while loading shared libraries:lib.jack.so.0:cannot open shared object file:no such file or directory

thanks,bill
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Fri 30 May 2008, 21:57    Post_subject:  

Oops, forgot to link to the jack pet package. The initial post has been updated with a link to the jack thread.
Back to top
View user's profile Send_private_message 
bill

Joined: 28 May 2008
Posts: 495

PostPosted: Fri 30 May 2008, 22:11    Post_subject:  

Thanks plinej,Ill dl and report.
also muggins ,didn't mean to pm you,just shrugg it off as loose noob on keyboard.thanks,bill
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Fri 30 May 2008, 22:33    Post_subject:  

Hi Bill,

no problems with pm'ing me, just that it's better to post to the original thread in case others have the same problem.
Back to top
View user's profile Send_private_message 
bill

Joined: 28 May 2008
Posts: 495

PostPosted: Fri 30 May 2008, 22:45    Post_subject: ."Audacity-1.3.5-beta operational in Puppy (Dingo) 4.SOLVED  

Thanks plinej ,Jack.pet did the trick.Thanks to you and muggins for your help.cheers,bill
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1111
Location: Australia

PostPosted: Mon 21 Jul 2008, 06:14    Post_subject: `GLIBCXX_3.4.9' not found  

Maybe it's just too late at night and I'm not thinking straight, but I can't figure why libsamplerate-0.1.2.pet won't install and I keep getting this:

Code:

audacity: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/libvamp-hostsdk.so)
audacity: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libwx_gtk2_core-2.8.so.0)
audacity: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/libwx_base-2.8.so.0)


Anybody know?
Back to top
View user's profile Send_private_message 
plinej

Joined: 13 Aug 2006
Posts: 1522

PostPosted: Mon 21 Jul 2008, 08:24    Post_subject:  

These were all compiled in Puppy 4. Are you using Puppy 4? If you're using a previous version the libs may not work.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0979s ][ Queries: 13 (0.0305s) ][ GZIP on ]